View Issue Details

IDProjectCategoryView StatusLast Update
0002707Scribus-public2012-06-22 08:18
Reporterchristoph_s Assigned Tocezaryece  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.3cvs 
Fixed in Version1.5.0svn 
Summary0002707: More flexible ways of page numbering
DescriptionIt would be useful to be able to define the format of page numbers in the prefs menus, something like: Auto (1, 10, 100), leading zeros (01, 001), page count (1 of x) etc. Users would only have to use the respective shortcut for page numbers to get the numbering as defined in the prefs.
Additional InformationRelated to 2660, 1044, 1447, and 1371
TagsNo tags attached.
Patch

Relationships

related to 0002660 closedcbradney leading zeroes on page numbers 
related to 0001044 closedfschmid Add a markup field to make it possible to create a text frame showing the total number of pages in the document. 
related to 0001447 closedavox Use only one Insert Page Number character (#) for page numbers over 9 
related to 0001371 assignedcezaryece Considering writing plugin to generate TOCs, Indexes, and "Continued on pg ... " messages 
has duplicate 0008320 closedjghali Leading zeros or other formatting for page numbers 

Activities

ale

2012-06-18 20:14

manager   ~0028205

cezary, this could be related to your work on "variables"

cezaryece

2012-06-22 08:18

developer   ~0028257

It is implemented as sections sets in Document Preferences.

Issue History

Date Modified Username Field Change
2005-10-11 00:17 christoph_s New Issue
2005-11-01 01:11 cbradney Relationship added related to 0002660
2005-11-01 01:11 cbradney Relationship added related to 0001044
2005-11-01 01:11 cbradney Relationship added related to 0001447
2005-11-01 01:11 cbradney Relationship added related to 0001371
2005-11-01 02:25 ringerc Status new => acknowledged
2006-01-16 22:41 plinnell Product Version 1.3.2cvs => 1.3.3cvs
2009-08-07 10:11 jghali Relationship added has duplicate 0008320
2012-06-18 20:14 ale Assigned To => cezaryece
2012-06-18 20:14 ale Status acknowledged => assigned
2012-06-18 20:14 ale Note Added: 0028205
2012-06-22 08:18 cezaryece Note Added: 0028257
2012-06-22 08:18 cezaryece Status assigned => closed
2012-06-22 08:18 cezaryece Resolution open => fixed
2012-06-22 08:18 cezaryece Fixed in Version => 1.5.0svn